{ config, pkgs, lib, ... }:

{
  imports = [
    ./hardware.nix
  ];

  # - Basic --------------------------------------

  user.name = "marc";
  user.shell = pkgs.zsh;
  networking.hostName = "kopavogur";

  # - Bootloader ---------------------------------

  boot.loader.grub.enable = true;
  boot.loader.grub.device = "/dev/sda";
  boot.loader.grub.useOSProber = true;

  # - Modules ------------------------------------

  samfelag.modules = {
    # - Common -----------------------------------
    # See modules/common.nix for common packages installed

    # - System -----------------------------------
    system.utils.enable = true;

    # - Desktop ----------------------------------
    desktop = {
      enable = true;
      laptop = true;
    };

    # - Editors and development ------------------
    editors.emacs.enable = true;

    dev.git.userName = "marc";
    dev.git.userEmail = "marc@sastre.cat";

    # - Other apps -------------------------------
    app.spotify.enable = true;

  };

}
